# Generated by Django 2.2.5 on 2019-09-07 22:59

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('auth', '0011_update_proxy_permissions'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Doracoin',
            fields=[
                ('value', models.IntegerField()),
                ('utente', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, primary_key=True, serialize=False, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='Evento',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('nome', models.CharField(max_length=100)),
                ('descrizione', models.CharField(max_length=500)),
                ('keyword', models.CharField(max_length=200)),
                ('cultura', models.BooleanField(default=False)),
                ('cibo', models.BooleanField(default=False)),
                ('movida', models.BooleanField(default=False)),
                ('natura', models.BooleanField(default=False)),
                ('relax', models.BooleanField(default=False)),
                ('inizio', models.DateTimeField()),
                ('fine', models.DateTimeField()),
            ],
        ),
        migrations.CreateModel(
            name='Interessi',
            fields=[
                ('cultura', models.IntegerField()),
                ('cibo', models.IntegerField()),
                ('movida', models.IntegerField()),
                ('natura', models.IntegerField()),
                ('relax', models.IntegerField()),
                ('utente', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, primary_key=True, serialize=False, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='Prenotazioni',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('ora', models.DateTimeField(auto_now_add=True)),
                ('evento', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='client.Evento')),
                ('utente', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
